classification
Title: build on AIX fails when builddir != srcdir, more than bad path to ld_so_aix
Type: compile error Stage: resolved
Components: Installation Versions: Python 3.8, Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: David.Edelsohn, Michael.Felt, aixtools@gmail.com, ericvw, martin.panter
Priority: normal Keywords:

Created on 2016-07-27 08:28 by Michael.Felt, last changed 2019-02-19 11:44 by Michael.Felt. This issue is now closed.

Messages (11)
msg271440 - (view) Author: Michael Felt (Michael.Felt) * Date: 2016-07-27 08:28
Note: - Only examined on Python 2.7, but expect the same issue (from Python 3.4.X, 3.5.X and 3.6.X based on earlier attempts to use a separate builddir

SUMMARY:
* when builddir==srcdir build completes normally, (see DETAILS2:)
* when builddir!=srcdir ...
** "configure" completes, no error messages
** "make" completes: some warnings, and I am surprised that make does not stop when message
 "unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory"
 appears
 The ./python executable can be executed (no other tests done yet)
 root@x064:[/data/prj/aixtools/python/Python-2.7.12]./python
 Python 2.7.12 (default, Jul 27 2016, 07:26:36) [C] on aix5
 Type "help", "copyright", "credits" or "license" for more information.
 >>> 
* make install DESTDIR=/some/where/for/packaging - FAILS
* in DETAILS3: I show that 'helping' by setting a symbolic link (messages continue), then a hard-link (ld_so_aix messages go away) also fails
 
COMMENTS:
* the Bitfield messages are 'known' and occur in all versions of Python (2.7.X, 3.3.X, 3.4.X, 3.5.X and 3.6.X - 3.2.X, (3.1.X and 3.0.X never tried))
* I hae no idea what all the "Skipping" is about, leaving in details as FYI

DETAILS (verbatum): 

root@x064:[/data/prj/aixtools/python/Python-2.7.12]buildaix --without-computed-gotos
VRMF 2.7.12.0
xlc is /usr/vacpp/bin/xlc
+ [[ 0 -eq 0 ]]
+ CC=xlc_r
+ export CC
+ CC=xlc_r CPPFLAGS="-I/opt/include -I/opt/buildaix/include" CFLAGS="-I/opt/include -O2 -qmaxmem=-1 -I/opt/buildaix/includes"\
        ../src/Python-2.7.12/configure\
                --prefix=/opt \
                --sysconfdir=/var/Python/etc\
                --sharedstatedir=/var/Python/com\
                --localstatedir=/var/Python\
                --mandir=/usr/share/man\
                --infodir=/opt/share/info/Python --without-computed-gotos\
                        > .buildaix/configure.out
+ make > .buildaix/make.out
"../src/Python-2.7.12/Objects/typeobject.c", line 6243.26: 1506-068 (W) Operation between types "void*" and "struct _object*(*)(struct _object*)" is not allowed.
"../src/Python-2.7.12/Objects/typeobject.c", line 6290.22: 1506-068 (W) Operation between types "void*" and "long(*)(struct _object*)" is not allowed.
"../src/Python-2.7.12/Objects/typeobject.c", line 6490.18: 1506-068 (W) Operation between types "void*" and "long(*)(struct _object*)" is not allowed.
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for M is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for N is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for O is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for P is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for Q is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for R is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for S is not valid. Type unsigned assumed.
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/pyexpat.c", line 1538.27: 1506-068 (W) Operation between types "void*" and "void(*)(void*,const char*,int)" is not allowed.
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 3406.27: 1506-068 (W) Operation between types "void*" and "int(*)(void)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 3954.31: 1506-280 (W) Function argument assignment between types "int(*)(void)" and "void*" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5695.63: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,const void*,unsigned long)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5696.62: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,int,unsigned long)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5697.65: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const char*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5698.60: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(void*,struct _object*,struct _object*)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5700.66: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const unsigned short*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/callproc.c", line 837.32: 1506-280 (W) Function argument assignment between types "void(*)(void)" and "void*" is not allowed.
Assembler:
/tmp/xlcS0JTuaqd.s: line 160: 1252-149 Instruction extsb is not implemented in the current assembly mode COM.
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
+ make install DESTDIR=/var/aixtools/python/Python/2.7.12.0 > .buildaix/install.out
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for M is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for N is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for O is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for P is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for Q is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for R is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for S is not valid. Type unsigned assumed.
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/pyexpat.c", line 1538.27: 1506-068 (W) Operation between types "void*" and "void(*)(void*,const char*,int)" is not allowed.
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 3406.27: 1506-068 (W) Operation between types "void*" and "int(*)(void)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 3954.31: 1506-280 (W) Function argument assignment between types "int(*)(void)" and "void*" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5695.63: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,const void*,unsigned long)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5696.62: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,int,unsigned long)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5697.65: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const char*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5698.60: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(void*,struct _object*,struct _object*)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5700.66: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const unsigned short*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/callproc.c", line 837.32: 1506-280 (W) Function argument assignment between types "void(*)(void)" and "void*" is not allowed.
Assembler:
/tmp/xlcS0dZucqd.s: line 160: 1252-149 Instruction extsb is not implemented in the current assembly mode COM.
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
eval $PYTHON_FOR_BUILD ../../Tools/scripts/h2py.py -i "'(u_long)'" /usr/include/netinet/in.h
Skipping: __restrict__ = restrict
Skipping: __restrict__ = 
Skipping: __bool__ = _Bool
Skipping: __bool__ = unsigned char
Skipping: INT64_MIN = (INT64_C(-9223372036854775807)-1)
Skipping: INT64_MAX = (INT64_C(9223372036854775807))
Skipping: UINT8_MAX = (255U)
Skipping: UINT16_MAX = (65535U)
Skipping: UINT32_MAX = (4294967295U)
Skipping: UINT64_MAX = (UINT64_C(18446744073709551615))
Skipping: INT_LEAST64_MIN = INT64_MIN
Skipping: INT_LEAST64_MAX = INT64_MAX
Skipping: UINT_LEAST8_MAX = UINT8_MAX
Skipping: UINT_LEAST16_MAX = UINT16_MAX
Skipping: UINT_LEAST32_MAX = UINT32_MAX
Skipping: UINT_LEAST64_MAX = UINT64_MAX
Skipping: INT_FAST64_MIN = INT64_MIN
Skipping: INT_FAST64_MAX = INT64_MAX
Skipping: UINT_FAST8_MAX = UINT8_MAX
Skipping: UINT_FAST16_MAX = UINT16_MAX
Skipping: UINT_FAST32_MAX = UINT32_MAX
Skipping: UINT_FAST64_MAX = UINT64_MAX
Skipping: INTMAX_MIN = INT64_MIN
Skipping: INTMAX_MAX = INT64_MAX
Skipping: UINTMAX_MAX = UINT64_MAX
Skipping: UINTMAX_MAX = UINT32_MAX
Skipping: INTPTR_MIN = INT64_MIN
Skipping: INTPTR_MAX = INT64_MAX
Skipping: UINTPTR_MAX = UINT64_MAX
Skipping: UINTPTR_MAX = UINT32_MAX
Skipping: PTRDIFF_MIN = INT64_MIN
Skipping: PTRDIFF_MAX = INT64_MAX
Skipping: WCHAR_MAX = UINT32_MAX
Skipping: WCHAR_MAX = UINT16_MAX
Skipping: SIZE_MAX = UINT64_MAX
Skipping: SIZE_MAX = UINT32_MAX
Skipping: strtoumax = _strtoumax32
Skipping: wcstoimax = _wcstoimax32
Skipping: wcstoumax = _wcstoumax32
Skipping: imaxabs = _imaxabs32
Skipping: imaxdiv = _imaxdiv32
Skipping: UINTFAST_MAX = UINT32_MAX
Skipping: def ADSP_MASK(_x): return ((1U << 31) >> (_x))

Skipping: def P64(X): return ( *((ptr64 *)&(X)) )

Skipping: fsid_dev = val[0]
Skipping: fsid_type = val[1]
Skipping: fh_dev = fh_fsid.fsid_dev
Skipping: fh_type = fh_fsid.fsid_type
Skipping: fh_len = fh_fid.fid_len
Skipping: fh_ino = fh_fid.fid_ino
Skipping: fh_gen = fh_fid.fid_gen
Skipping: __NFDBITS = (sizeof(long) * 8)
Skipping: __NUM_ENTRIES = (FD_SETSIZE/__NFDBITS+1)
Skipping: def FD_ZERO(p): return { fd_set *__q=p; \

Skipping: NS_PER_TICK = (NS_PER_SEC/HZ)
Skipping: TIMEBASE_SZ = (sizeof (struct timebasestruct))
Skipping: def ntimerisset(tvp): return ((tvp)->tv_sec || (tvp)->tv_nsec)

Skipping: def ntimerclear(tvp): return (tvp)->tv_sec = (tvp)->tv_nsec = 0

Skipping: def timerisset(tvp): return ((tvp)->tv_sec || (tvp)->tv_usec)

Skipping: def timerclear(tvp): return (tvp)->tv_sec = (tvp)->tv_usec = 0

Skipping: CLOCK_REALTIME = ((clockid_t) 9)
Skipping: CLOCK_MONOTONIC = ((clockid_t) 10)
Skipping: CLOCK_PROCESS_CPUTIME_ID = ((clockid_t) 11)
Skipping: CLOCK_THREAD_CPUTIME_ID = ((clockid_t) 12)
Skipping: _H_STDDEF = 
Skipping: offsetof = __offsetof
Skipping: NFDBITS = __NFDBITS
Skipping: s6_addr32 = s6_addr.s6_addr32
Skipping: s6_addr64 = s6_addr.s6_addr64
Skipping: s6_addr16 = s6_addr.s6_addr16
Skipping: s6_addr8 = s6_addr.s6_addr8
Skipping: s6_addr = s6_addr.s6_addr8
Skipping: INADDR_ANY = (uint32_t)0x00000000
Skipping: INADDR_BROADCAST = (uint32_t)(-1)
Skipping: INADDR_UNSPEC_GROUP = (uint32_t)(-536870912)
Skipping: INADDR_ALLHOSTS_GROUP = (uint32_t)(-536870911)
Skipping: INADDR_ALLRTRS_GROUP = (uint32_t)(-536870910)
Skipping: INADDR_MAX_LOCAL_GROUP = (uint32_t)(-536870657)
Skipping: MSR_HYPERVISOR = (1152921500311879680)L
Skipping: DSCR_PROP_VER0_SIZE = (offsetof(struct dscr_properties, dscr_res))
Skipping: DSCR_PROP_SIZE = (sizeof(struct dscr_properties))
Skipping: FP_IE_IMPL = (fp_ie_impl != 0)
Skipping: ASR_VALID = (1LL)
Skipping: SLB_PSIZE_MASK = 0x170UL
Skipping: def VALID_HANDLE_SSLB(_handle): return (!((_handle) & 0x0f))

Skipping: HANDLE_CLASS_SSLB = 0x80UL
Skipping: def htons(hostshort): return (unsigned short)(hostshort)

Skipping: def ntohs(netshort): return (unsigned short)(netshort)

Skipping: INADDR_LOOPBACK = (uint32_t)0x7f000001
Skipping: s6_addr32 = u6_addr.u6_addr32
Skipping: s6_addr64 = u6_addr.u6_addr64
Skipping: s6_addr16 = u6_addr.u6_addr16
Skipping: s6_addr8 = u6_addr.u6_addr8
Skipping: s6_addr = u6_addr.u6_addr8
Skipping: def HTONLL(x): return (x) = htonll((x));

Skipping: def HTONL(x): return (x) = htonl((x));

Skipping: def HTONS(x): return (x) = htons((x));

Skipping: def NTOHLL(x): return (x) = ntohll((x));

Skipping: def NTOHL(x): return (x) = ntohl((x));

Skipping: def NTOHS(x): return (x) = ntohs((x));

Skipping: def IPV6_GET_VERSION(x): return ((*((u_char *)&(x)) >> 4) & 0xf)

Skipping: def IN6_ADDR_V6_TO_V4(a): return ((struct in_addr *)&(a)->s6_addr[12])

Skipping: def satosin(sa): return ((struct sockaddr_in *)(sa))

Skipping: def sintosa(sin): return ((struct sockaddr *)(sin))

Skipping: def ifatoia(ifa): return ((struct in_ifaddr *)(ifa))

Skipping: def satosin6(sa): return ((struct sockaddr_in6 *)(sa))

Skipping: def sin6tosa(sin6): return ((struct sockaddr *)(sin6))

Skipping: def ifatoia6(ifa): return ((struct in6_ifaddr *)(ifa))

Traceback (most recent call last):
  File "/var/aixtools/python/Python/2.7.12.0/opt/lib/python2.7/compileall.py", line 16, in <module>
    import struct
  File "/var/aixtools/python/Python/2.7.12.0/opt/lib/python2.7/struct.py", line 1, in <module>
    from _struct import *
ImportError: No module named _struct
make: 1254-004 The error code from the last command is 1.


Stop.
make install returned an error
root@x064:[/data/prj/aixtools/python/Python-2.7.12]


DETAILS2:

root@x064:[/data/prj/aixtools/python/python-2.7.12]buildaix --without-computed-gotos
VRMF 2.7.12.0
xlc is /usr/vacpp/bin/xlc
+ [[ 0 -eq 0 ]]
+ CC=xlc_r
+ export CC
+ CC=xlc_r CPPFLAGS="-I/opt/include -I/opt/buildaix/include" CFLAGS="-I/opt/include -O2 -qmaxmem=-1 -I/opt/buildaix/includes"\
        ./configure\
                --prefix=/opt \
                --sysconfdir=/var/python/etc\
                --sharedstatedir=/var/python/com\
                --localstatedir=/var/python\
                --mandir=/usr/share/man\
                --infodir=/opt/share/info/python --without-computed-gotos\
                        > .buildaix/configure.out
+ make > .buildaix/make.out
"Objects/typeobject.c", line 6243.26: 1506-068 (W) Operation between types "void*" and "struct _object*(*)(struct _object*)" is not allowed.
"Objects/typeobject.c", line 6290.22: 1506-068 (W) Operation between types "void*" and "long(*)(struct _object*)" is not allowed.
"Objects/typeobject.c", line 6490.18: 1506-068 (W) Operation between types "void*" and "long(*)(struct _object*)" is not allowed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for M is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for N is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for O is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for P is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for Q is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for R is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for S is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/python-2.7.12/Modules/pyexpat.c", line 1538.27: 1506-068 (W) Operation between types "void*" and "void(*)(void*,const char*,int)" is not allowed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes.c", line 3406.27: 1506-068 (W) Operation between types "void*" and "int(*)(void)" is not allowed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes.c", line 3954.31: 1506-280 (W) Function argument assignment between types "int(*)(void)" and "void*" is not allowed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes.c", line 5695.63: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,const void*,unsigned long)" is not allowed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes.c", line 5696.62: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,int,unsigned long)" is not allowed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes.c", line 5697.65: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const char*,int)" is not allowed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes.c", line 5698.60: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(void*,struct _object*,struct _object*)" is not allowed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/_ctypes.c", line 5700.66: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const unsigned short*,int)" is not allowed.
"/data/prj/aixtools/python/python-2.7.12/Modules/_ctypes/callproc.c", line 837.32: 1506-280 (W) Function argument assignment between types "void(*)(void)" and "void*" is not allowed.
Assembler:
/tmp/xlcS0YSYiqd.s: line 160: 1252-149 Instruction extsb is not implemented in the current assembly mode COM.
+ make install DESTDIR=/var/aixtools/aixtools/python/2.7.12.0 > .buildaix/install.out
+ mkinstallp.ksh /var/aixtools/aixtools/python/2.7.12.0 > .buildaix/mkinstallp.out
==============================
aixtools.python:aixtools.python.man.en_US:2.7.12.0::I:T:::::N:man pages::::0::
aixtools.python:aixtools.python.rte:2.7.12.0::I:T:::::N:built 27-Jul-2016 0744 UTC::::0::
==============================
root@x064:[/data/prj/aixtools/python/python-2.7.12]

DETAILS3:
root@x064:[/data/prj/aixtools/python/Python-2.7.12]buildaix --without-computed-gotos                                                                                                            
VRMF 2.7.12.0
xlc is /usr/vacpp/bin/xlc
+ [[ 0 -eq 0 ]]
+ CC=xlc_r
+ export CC
+ CC=xlc_r CPPFLAGS="-I/opt/include -I/opt/buildaix/include" CFLAGS="-I/opt/include -O2 -qmaxmem=-1 -I/opt/buildaix/includes"\
        ../src/Python-2.7.12/configure\
                --prefix=/opt \
                --sysconfdir=/var/Python/etc\
                --sharedstatedir=/var/Python/com\
                --localstatedir=/var/Python\
                --mandir=/usr/share/man\
                --infodir=/opt/share/info/Python --without-computed-gotos\
                        > .buildaix/configure.out
+ make > .buildaix/make.out
root@x064:[/data/prj/aixtools/python/Python-2.7.12]find . -name ld_so_aix
./Modules/ld_so_aix
root@x064:[/data/prj/aixtools/python/Python-2.7.12]ls ../src/Python-2.7.12/Modules
Setup.config.in       _heapqmodule.c    _ssl_data.h        bz2module.c    datetimemodule.c   gdbmmodule.c       main.c          posixmodule.h   shamodule.c       testcapi_long.h   yuvconvert.c
Setup.dist            _hotshot.c        _struct.c          cPickle.c      dbmmodule.c        getaddrinfo.c      makesetup       puremodule.c    signalmodule.c    threadmodule.c    zipimport.c
_bisectmodule.c       _io               _testcapimodule.c  cStringIO.c    dlmodule.c         getbuildinfo.c     makexp_aix      pwdmodule.c     socketmodule.c    timemodule.c      zlib
_bsddb.c              _json.c           _tkinter.c         cdmodule.c     errnomodule.c      getnameinfo.c      mathmodule.c    pyexpat.c       socketmodule.h    timing.h          zlibmodule.c
_codecsmodule.c       _localemodule.c   _weakref.c         cgen.py        expat              getpath.c          md5.c           python.c        spwdmodule.c      timingmodule.c
_collectionsmodule.c  _lsprof.c         addrinfo.h         cgensupport.c  fcntlmodule.c      glmodule.c         md5.h           readline.c      sre.h             tkappinit.c
_csv.c                _math.c           almodule.c         cgensupport.h  flmodule.c         grpmodule.c        md5module.c     resource.c      sre_constants.h   tkinter.h
_ctypes               _math.h           ar_beos            cjkcodecs      fmmodule.c         imageop.c          mmapmodule.c    rotatingtree.c  stropmodule.c     unicodedata.c
_curses_panel.c       _multiprocessing  arraymodule.c      clmodule.c     fpectlmodule.c     imgfile.c          nismodule.c     rotatingtree.h  sunaudiodev.c     unicodedata_db.h
_cursesmodule.c       _randommodule.c   audioop.c          cmathmodule.c  fpetestmodule.c    itertoolsmodule.c  operator.c      selectmodule.c  svmodule.c        unicodename_db.h
_elementtree.c        _sqlite           binascii.c         config.c.in    future_builtins.c  ld_so_aix.in       ossaudiodev.c   sgimodule.c     symtablemodule.c  xxmodule.c
_functoolsmodule.c    _sre.c            bsddb.h            cryptmodule.c  gc_weakref.txt     ld_so_beos         parsermodule.c  sha256module.c  syslogmodule.c    xxsubtype.c
_hashopenssl.c        _ssl.c            bsddbmodule.c      cstubs         gcmodule.c         linuxaudiodev.c    posixmodule.c   sha512module.c  termios.c         yuv.h
root@x064:[/data/prj/aixtools/python/Python-2.7.12]ln -s ./Modules/ld_so_aix ../src/Python-2.7.12/Modules
root@x064:[/data/prj/aixtools/python/Python-2.7.12]ls -l ../src/Python-2.7.12/Modules/ld_so_aix
lrwxrwxrwx 1 root system 19 Jul 27 08:00 ../src/Python-2.7.12/Modules/ld_so_aix -> ./Modules/ld_so_aix
root@x064:[/data/prj/aixtools/python/Python-2.7.12]

This fails as a symbolic link:

root@x064:[/data/prj/aixtools/python/Python-2.7.12]buildaix --without-computed-gotos                     
VRMF 2.7.12.0
do_configure: using existing Makefile
do_configure: run distclean to get a standard AIX configure

-rw-r----- 1 root system  52350 Jul 27 07:57 ./Makefile
-rw-r----- 1 root system 732150 Jul 27 07:57 config.log
-rwxr-x--x 1 root system  39198 Jul 27 07:57 config.status

+  > .buildaix/make.out
"../src/Python-2.7.12/Objects/typeobject.c", line 6243.26: 1506-068 (W) Operation between types "void*" and "struct _object*(*)(struct _object*)" is not allowed.
"../src/Python-2.7.12/Objects/typeobject.c", line 6290.22: 1506-068 (W) Operation between types "void*" and "long(*)(struct _object*)" is not allowed.
"../src/Python-2.7.12/Objects/typeobject.c", line 6490.18: 1506-068 (W) Operation between types "void*" and "long(*)(struct _object*)" is not allowed.
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for M is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for N is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for O is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for P is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for Q is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for R is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for S is not valid. Type unsigned assumed.
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
unable to execute '../src/Python-2.7.12/Modules/ld_so_aix': No such file or directory
interruptedroot@x064:[/data/prj/aixtools/python/Python-2.7.12]

root@x064:[/data/prj/aixtools/python/Python-2.7.12]ln -f ./Modules/ld_so_aix ../src/Python-2.7.12/Modules
root@x064:[/data/prj/aixtools/python/Python-2.7.12]ls -l ../src/Python-2.7.12/Modules/ld_so_aix          
-rwxr-x--x 2 root system 6208 Jul 27 07:57 ../src/Python-2.7.12/Modules/ld_so_aix

Trying again as a hard-link - fewer messages, but it still fails.

root@x064:[/data/prj/aixtools/python/Python-2.7.12]make clean
        find ../src/Python-2.7.12 -name '*.py[co]' -exec rm -f {} ';'
        find . -name '*.[oa]' -exec rm -f {} ';'
        find . -name '*.s[ol]' -exec rm -f {} ';'
        find . -name '*.so.[0-9]*.[0-9]*' -exec rm -f {} ';'
        find build -name 'fficonfig.h' -exec rm -f {} ';' || true
        find build -name 'fficonfig.py' -exec rm -f {} ';' || true
        rm -f Lib/lib2to3/*Grammar*.pickle
        rm -rf build
root@x064:[/data/prj/aixtools/python/Python-2.7.12]buildaix --without-computed-gotos
VRMF 2.7.12.0
do_configure: using existing Makefile
do_configure: run distclean to get a standard AIX configure

-rw-r----- 1 root system  52350 Jul 27 07:57 ./Makefile
-rw-r----- 1 root system 732150 Jul 27 07:57 config.log
-rwxr-x--x 1 root system  39198 Jul 27 07:57 config.status

+  > .buildaix/make.out
"../src/Python-2.7.12/Objects/typeobject.c", line 6243.26: 1506-068 (W) Operation between types "void*" and "struct _object*(*)(struct _object*)" is not allowed.
"../src/Python-2.7.12/Objects/typeobject.c", line 6290.22: 1506-068 (W) Operation between types "void*" and "long(*)(struct _object*)" is not allowed.
"../src/Python-2.7.12/Objects/typeobject.c", line 6490.18: 1506-068 (W) Operation between types "void*" and "long(*)(struct _object*)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for M is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for N is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for O is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for P is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for Q is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for R is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for S is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/pyexpat.c", line 1538.27: 1506-068 (W) Operation between types "void*" and "void(*)(void*,const char*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 3406.27: 1506-068 (W) Operation between types "void*" and "int(*)(void)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 3954.31: 1506-280 (W) Function argument assignment between types "int(*)(void)" and "void*" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5695.63: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,const void*,unsigned long)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5696.62: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,int,unsigned long)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5697.65: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const char*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5698.60: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(void*,struct _object*,struct _object*)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5700.66: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const unsigned short*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/callproc.c", line 837.32: 1506-280 (W) Function argument assignment between types "void(*)(void)" and "void*" is not allowed.
Assembler:
/tmp/xlcS0Jxigid.s: line 160: 1252-149 Instruction extsb is not implemented in the current assembly mode COM.
+ make install DESTDIR=/var/aixtools/python/Python/2.7.12.0 > .buildaix/install.out
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for M is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for N is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for O is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for P is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for Q is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for R is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes_test.c", line 382.5: 1506-159 (E) Bit field type specified for S is not valid. Type unsigned assumed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/pyexpat.c", line 1538.27: 1506-068 (W) Operation between types "void*" and "void(*)(void*,const char*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 3406.27: 1506-068 (W) Operation between types "void*" and "int(*)(void)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 3954.31: 1506-280 (W) Function argument assignment between types "int(*)(void)" and "void*" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5695.63: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,const void*,unsigned long)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5696.62: 1506-280 (W) Function argument assignment between types "void*" and "void*(*)(void*,int,unsigned long)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5697.65: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const char*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5698.60: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(void*,struct _object*,struct _object*)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/_ctypes.c", line 5700.66: 1506-280 (W) Function argument assignment between types "void*" and "struct _object*(*)(const unsigned short*,int)" is not allowed.
"/data/prj/aixtools/python/src/Python-2.7.12/Modules/_ctypes/callproc.c", line 837.32: 1506-280 (W) Function argument assignment between types "void(*)(void)" and "void*" is not allowed.
Assembler:
/tmp/xlcS0hxAmMd.s: line 160: 1252-149 Instruction extsb is not implemented in the current assembly mode COM.
Traceback (most recent call last):
  File "/var/aixtools/python/Python/2.7.12.0/opt/lib/python2.7/compileall.py", line 16, in <module>
    import struct
  File "/var/aixtools/python/Python/2.7.12.0/opt/lib/python2.7/struct.py", line 1, in <module>
    from _struct import *
ImportError: No module named _struct
make: 1254-004 The error code from the last command is 1.


Stop.
make install returned an error
root@x064:[/data/prj/aixtools/python/Python-2.7.12]
msg271754 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-08-01 00:01
Possible duplicate of Issue10656 (see also Issue16189)
msg271772 - (view) Author: Michael Felt (Michael.Felt) * Date: 2016-08-01 07:19
Yes, clearly related (maybe even duplicate).

What surprised me is that after I copied ld_so_aix to where it was expected I still see a premature end with:

Traceback (most recent call last):
  File "/var/aixtools/python/Python/2.7.12.0/opt/lib/python2.7/compileall.py", line 16, in <module>
    import struct
  File "/var/aixtools/python/Python/2.7.12.0/opt/lib/python2.7/struct.py", line 1, in <module>
    from _struct import *
ImportError: No module named _struct

Not investigated (compileall.py and struct.py - these are the DESTDIR versions (asin "make DESTDIR=/var/aixtools/python/Python/2.7.12.0 install"

So, this would be, I think, the "new aka non-duplicate" part. If not, my apologies for the noise.
msg284800 - (view) Author: Michael Felt (Michael.Felt) * Date: 2017-01-06 08:28
My - bad - this was largely a duplicate of three now closed issues: issue10656, issue16189, and issue25825

as far as the build process goes the issue is fixed. However, issue10656 is not yet "fully-finished" because "make distclean" does not complete successfully. Among other things it leaves Makefile and config.status behind.

Question: re: issue10656 - shall I open a new issue, or reply (reopen) the original?

issue16189 and issue25825 are largely duplicates, as far as I can tell. And unfortunately - "neither" is repaired.

There are three (environment) variables that are used: BLDSHARED (during build - seems fixed), LDSHARED and LDCXXSHARED.

Short summary:
BLDSHARED is fixed per issue10656
LDSHARED is changed (issue16189 and issue25825), but still broken
LDCXXSHARED - was, and is - correct in _sysconfigdata.py

Here is what I have in the 'installed' state:

PATCHED by hand!
root@x064:[/data/prj/python/python-2.7.13]grep LDS /opt/lib/python2.7/_sysconfigdata.py
 'BLDSHARED': './Modules/ld_so_aix xlc_r -bI:./Modules/python.exp -L/opt/lib',
 'LDSHARED': '/opt/lib/python2.7/config/ld_so_aix xlc_r -bI:/opt/lib/python2.7/config/python.exp',

What comes with 2.7.13 by default:
root@x064:[/data/prj/python/python-2.7.13]grep LDS /opt/lib/python2.7/_sysconfigdata.py
 'BLDSHARED': 'Modules/ld_so_aix xlc_r -bI:Modules/python.exp -L/opt/lib',
 'LDSHARED': 'Modules/ld_so_aix xlc_r -bI:Modules/python.exp -L/opt/lib',

This is where ld_so_aix is  'installed':
 /opt/lib/python2.7/config/ld_so_aix         aixtools.python.rte   File

As python does now about where everything else in /opt/lib/pythonX.Y is,
I think this still needs a small change - Modules/* is wrong in any case.

FYI: In both cases this parameter is correct!
 'LDCXXSHARED': '/opt/lib/python2.7/config/ld_so_aix xlc_r -bI:/opt/lib/python2.7/config/python.exp',

Maybe this helps identify what needs fixing!

Moving forward:
a) close this issue - most of it is a duplicate - I will open a new issue for the issue (read my question) re: the cause/importance of all the 'Skipping' (an 'issue' because I see it once, or not at all, and then it goes away)
b) comment on whether I should open a new issue, or comment to the closed issues.
msg284879 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2017-01-07 00:34
Regarding reopening Issue 10656, whatever you think is more appropriate. You just have to judge whether it is the same use case, the same code affected, etc.

Issue 16189 and Issue 25825 were about updating to match recent changes to directory names, and I thought we decided the changes were not applicable to 2.7.

Regarding LDSHARED vs BLDSHARED, isn’t this the same as Issue 28311, which lead to Issue 18235? If you can try the patch I mentioned at <https://bugs.python.org/issue18235#msg277745>, I suspect it may help. Let me know if you need help adapting the patch for 2.7.
msg285307 - (view) Author: Michael Felt (aixtools@gmail.com) Date: 2017-01-12 11:19
> Regarding reopening Issue 10656, whatever you think is more appropriate. 

Not "scary", just irritating. I'll open a new one when I have more time to document it.

> Issue 16189 and Issue 25825 were about updating to match recent changes to directory names, and I thought we decided the changes were not applicable to 2.7.

My bad. I was looking at the subject titles (cannot load ld_so_aix, cannot build external modules). I'll focus on the 'patch' you mention below. As it stands, I have no idea how to determine if they have any relevance to anything...

> Regarding LDSHARED vs BLDSHARED, isn’t this the same as Issue 28311, which lead to Issue 18235? 

> If you can try the patch I mentioned at <https://bugs.python.org/issue18235#msg277745>, I suspect it may help.

Will do.
> Let me know if you need help adapting the patch for 2.7.
msg309338 - (view) Author: Michael Felt (Michael.Felt) * Date: 2018-01-01 17:21
There were changes made - I know not when - but OOT builds work now. This issue may be closed.
msg309387 - (view) Author: Eric N. Vander Weele (ericvw) * Date: 2018-01-02 17:26
I can also confirm that OOT builds work as well. https://github.com/python/cpython/commit/395733d46bbc23d2f559eba4e5f75783f9bca6f1#diff-6fd819bc2460d3a50e561d2da6c09c02 addressed fixing this issue.
msg316466 - (view) Author: Michael Felt (Michael.Felt) * Date: 2018-05-13 16:16
OOT builds are working for Python2.7, Python3-3.5, Python3-3.6 (and later I expect) but not for Python3-3.4(.8)

unable to execute '../git/python3-3.4.8/Modules/ld_so_aix': No such file or directory

while building OOT
root@x066:[/data/prj/python]ls -ld ./python3-3.4.8 git/python3-3.4.8
drwxr-sr-x   12 root     1954           4096 May 13 16:07 ./python3-3.4.8
drwxrwsr-x   16 199      1954           4096 May 13 15:37 git/python3-3.4.8

Sigh. So close!
msg316467 - (view) Author: Michael Felt (Michael.Felt) * Date: 2018-05-13 16:19
Wishing I could edit a post...

root@x066:[/data/prj/python]find ./python3-3.4.8 git/python3-3.4.8 -name ld_so_aix
./python3-3.4.8/Modules/ld_so_aix
msg335928 - (view) Author: Michael Felt (Michael.Felt) * Date: 2019-02-19 11:44
As far as 'master' is concerned, this has been resolved, so I'll close it myself.
History
Date User Action Args
2019-02-19 11:44:01Michael.Feltsetstatus: open -> closed

stage: resolved
messages: + msg335928
versions: + Python 3.8, - Python 3.4
2018-05-13 16:19:04Michael.Feltsetmessages: + msg316467
2018-05-13 16:16:59Michael.Feltsetmessages: + msg316466
versions: + Python 3.4
2018-01-02 17:26:55ericvwsetmessages: + msg309387
2018-01-01 17:21:24Michael.Feltsetmessages: + msg309338
2017-01-12 11:19:28aixtools@gmail.comsetnosy: + aixtools@gmail.com
messages: + msg285307
2017-01-07 00:34:46martin.pantersetnosy: + martin.panter
messages: + msg284879
2017-01-06 08:28:54Michael.Feltsetmessages: + msg284800
2016-11-29 00:26:26ericvwsetnosy: + ericvw
2016-08-01 07:19:04Michael.Feltsetmessages: + msg271772
2016-08-01 00:01:44ned.deilysetnosy: - ned.deily
2016-08-01 00:01:33ned.deilysetnosy: + ned.deily, David.Edelsohn
messages: + msg271754
2016-07-27 08:28:32Michael.Feltcreate